Bug 3167 - Package Request: Zandronum 1.2
: Package Request: Zandronum 1.2
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Package Requests
: Fresh
: All Linux
: Low normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
Depends on:
  Show dependency treegraph
Reported: 2013-11-17 02:15 MSK by Zombie Ryushu
Modified: 2018-02-07 08:14 MSK (History)
2 users (show)

See Also:
RPM Package: zandronum
Bad POT generating:


Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2013-11-17 02:15:11 MSK
I request that Zandronum be compiled for Marathon and Fresh. Zandronum 1.2 corrects a security hole in Zandronum 1.0 that Permits a denial of Service Attack.
Comment 1 Zombie Ryushu 2013-11-17 02:50:11 MSK
Comment 2 Zombie Ryushu 2015-01-16 22:26:08 MSK
Lets give Zandronum 1.3 a try.
Comment 3 Andrey Bondrov 2015-01-18 22:22:13 MSK
Doesn't build for me. It depends on close-sourced FMOD sound library which is also used by gzdoom. And it looks like there were some API changes:

1. too few arguments to function «FMOD_RESULT FMOD_System_GetCPUUsage(FMOD_SYSTEM*, float*, float*, float*, float*, float*)»

2. too few arguments to function «FMOD_RESULT FMOD_Memory_GetStats(int*, int*, FMOD_BOOL)»

and other errors. I guess I'll skip this package for now.
Comment 4 Stanislav Fomin 2015-03-06 19:33:59 MSK
Need restesting before releasing Enterprise X2.
Comment 5 Denis Silakov 2015-03-11 18:45:22 MSK
Even if we build zandronum, we will build it for contrib repository of Desktop Fresh, so moving this out from "Enterprise" category.
Comment 6 Zombie Ryushu 2018-02-06 21:11:22 MSK
Aged out. Current version is Zandronum 2.1
Comment 7 Andrey Bondrov 2018-02-07 08:14:34 MSK
(In reply to comment #6)
> Aged out. Current version is Zandronum 2.1

Even 3.0. But it still depends on non-free fmod library (gzdoom dropped this painful dependency some time ago). I guess we can build Zandronum when it gets free of fmod too.